import axios from "@/utils/request";

// 获取商品分类列表
export async function getGoodsList() {
  const res = await axios.get("/api/v1/get_goods_category_list");
  return res;
}

// 获取营销活动列表
export async function getMarketingList(params) {
  const res = await axios.post("/api/v1/get_marketing_list", params);
  return res;
}
// 获取查询商品列表
export async function getFindGoodsList(params) {
  const res = await axios.post("/api/v1/get_find_goods_list", params);
  return res;
}
// 获取添加活动列表
export async function getAddMarketingList(params) {
  const res = await axios.post("/api/v1/get_addmarketing_list", params);
  return res;
}
// 获取查看列表
export async function getMarketingInfo(marketing_id) {
  const res = await axios.post("/api/v1/get_marketing_info", marketing_id);
  return res;
}
// 获取开启关闭
export async function updateMarketingList(params) {
  const res = await axios.post("/api/v1/update_marketing_list", params);
  return res;
}
